package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.CompanyMember;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface CompanyMemberDAO {
	int insert(CompanyMember entity);
	int update(CompanyMember entity);
	int exist(String id);
	CompanyMember get(String id);
	int delete(String id);
	List<CompanyMember> list();
	List<CompanyMember> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<CompanyMember> findByNotInPolicyMember(String companyId, String policyId);
}