package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.CompanyUser;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface CompanyUserDAO {
	int insert(CompanyUser entity);
	int update(CompanyUser entity);
	int exist(String id);
	CompanyUser get(String id);
	int delete(String id);
	List<CompanyUser> list();
	List<CompanyUser> search(Map<String, Object> searchParams, List<Sort> sortList);
}