package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.CompanyMember;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface CompanyMemberService {
	CompanyMember get(String id);
	boolean exist(String id);
	int insert(CompanyMember model);
	int update(CompanyMember model);
	int delete(String id);
	List<CompanyMember> list();
	Page<CompanyMember> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    List<CompanyMember> findByNotInPolicyMember(String companyId, String policyId);
}