package com.jpsoft.picc.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.business.entity.InsurancePolicyMember;
import com.jpsoft.picc.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface InsurancePolicyMemberService {
    InsurancePolicyMember get(String id);

    boolean exist(String id);

    int insert(InsurancePolicyMember model);

    int update(InsurancePolicyMember model);

    int delete(String id);

    List<InsurancePolicyMember> list();

    Page<InsurancePolicyMember> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);

    long countByPolicyIdAndJobsId(String policyId, String jobsId);

    List<InsurancePolicyMember> findByPolicyId(String policyId);
}