package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.Company;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface CompanyDAO {
	int insert(Company entity);
	int update(Company entity);
	int exist(String id);
	Company get(String id);
	int delete(String id);
	List<Company> list();
	List<Company> search(Map<String, Object> searchParams, List<Sort> sortList);
    Company findByCreateBy(String userId);
}