package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.InsuranceJobs;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface InsuranceJobsService {
	InsuranceJobs get(String id);
	boolean exist(String id);
	int insert(InsuranceJobs model);
	int update(InsuranceJobs model);
	int delete(String id);
	List<InsuranceJobs> list();
	List<InsuranceJobs> listByDefinitionId(String definitionId);
	List<InsuranceJobs> findByDefinitionIdAndJobId(String definitionId, String jobId);
	Page<InsuranceJobs> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}