package com.jpsoft.picc.modules.business.dao;

import com.jpsoft.picc.modules.business.entity.InsuranceApplication;
import com.jpsoft.picc.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface InsuranceApplicationDAO {
    int insert(InsuranceApplication entity);

    int update(InsuranceApplication entity);

    int exist(String id);

    InsuranceApplication get(String id);

    int delete(String id);

    List<InsuranceApplication> list();

    List<InsuranceApplication> search(Map<String, Object> searchParams, List<Sort> sortList);
}