package com.jpsoft.picc.modules.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.ToString;

@ApiModel(value = "返回消息体")
@ToString
public class MessageResult<T> {
    private boolean result;
    private String message;
    private T data;
    private int code = 200;

    @ApiModelProperty(value = "返回调用结果")
    public boolean isResult() {
        return result;
    }

    public void setResult(boolean result) {
        this.result = result;
    }

    @ApiModelProperty(value = "返回消息")
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @ApiModelProperty(value = "返回数据")
    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @ApiModelProperty(value = "返回代码")
    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}