package com.jpsoft.picc.modules.pub.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "企业信息")
public class CompanyInfoDTO {
    @ApiModelProperty(value = "企业编号")
    private String id;
    @ApiModelProperty(value = "企业名称")
    private String name;
    @ApiModelProperty(value = "联系人")
    private String person;
    @ApiModelProperty(value = "联系人手机")
    private String tel;
    @ApiModelProperty(value = "法人代表")
    private String legalName;
    @ApiModelProperty(value = "法人代表身份证")
    private String legalCard;
    @ApiModelProperty(value = "法人代表身份证照片")
    private String legalCardFile;
    @ApiModelProperty(value = "统一社会信用代码")
    private String usccCode;
    @ApiModelProperty(value = "营业执照")
    private String usccFiles;
    @ApiModelProperty(value = "企业公章(附件)")
    private String companyStampFile;
}
